> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/currency/supply.md).

# 1.6 Historical Supply

```
GET /currencies/{currency_id}/supply
```

**Path Parameters**

| Parameter    | Type   | Required | Description |
| ------------ | ------ | -------- | ----------- |
| currency\_id | String | Yes      | Currency ID |

**Query Parameters**

| Parameter   | Type    | Required | Description                         |
| ----------- | ------- | -------- | ----------------------------------- |
| start\_date | string  | No       | Start date                          |
| end\_date   | string  | No       | End date                            |
| page        | integer | No       | Page number                         |
| page\_size  | integer | No       | Items per page, default 20, max 100 |

**Response Example**

```json
{
    {
        "date": "2025-10-11",
        "max_supply": "593383314",
        "total_supply": "593383314",
        "circulating_supply": "487043475"
    }
}
```

**Response Fields**

| Field               | Type   | Description        |
| ------------------- | ------ | ------------------ |
| date                | String | Date               |
| max\_supply         | String | Maximum supply     |
| total\_supply       | String | Total supply       |
| circulating\_supply | Number | Circulating supply |
